#include "stdafx.h"
#include "ImpressionistDoc.h"
#include "DotBrush.h"

CDotBrush::CDotBrush( CImpressionistDoc* pDoc, char* name ) :
	CImpBrush(pDoc,name)
{
}

void CDotBrush::BrushBegin( CPoint source, CPoint target, CBrushDialog* dlg )
{
	int size = dlg->GetSize();
	TRACE( "size is %d\n", size );

	glPointSize( (float)size );

	BrushMove( source, target, dlg );
}

void CDotBrush::BrushMove( CPoint source, CPoint target, CBrushDialog* dlg )
{
	CImpressionistDoc* pDoc = GetDocument();

	if ( pDoc == NULL ) {
		TRACE( "DotBrush::BrushMove  document is NULL\n" );
		return;
	}

	glBegin( GL_POINTS );
		SetColor( source, dlg );
		glVertex2d( target.x, target.y );
	glEnd();
	glFlush();
}

void CDotBrush::BrushEnd( CPoint source, CPoint target, CBrushDialog* dlg )
{
}

void CDotBrush::BrushSelect( CBrushDialog* dlg )
{
	dlg->SetSizeRange( 1, 20 );
}

