#if !defined(_IMPBRUSH_H)
#define _IMPBRUSH_H

#include "stdafx.h"

class CImpressionistDoc;
class CBrushDialog;

class CImpBrush 
{
protected:
	CImpBrush::CImpBrush( CImpressionistDoc* pDoc = NULL, char* name = NULL );

public:
	virtual void BrushBegin( CPoint source, CPoint target, CBrushDialog* ) {};
	virtual void BrushMove( CPoint source, CPoint target, CBrushDialog* ) {};
	virtual void BrushEnd( CPoint source, CPoint target, CBrushDialog* ) {};
	virtual void SelectBegin( CPoint target, CBrushDialog* ) {};
	virtual void SelectMove( CPoint target, CBrushDialog* ) {};
	virtual void SelectEnd( CPoint target, CBrushDialog* ) {};
	virtual void BrushSelect( CBrushDialog* dlg ) {};

	void SetColor( CPoint source, CBrushDialog* dlg );

	CImpressionistDoc* GetDocument( void );
	char* BrushName( void );

	static int c_nBrushCount;
	static CImpBrush** c_pBrushes;

private:
	CImpressionistDoc* m_pDoc;
	char* m_pBrushName;
};

#endif
